<%- include('partials/header', {title: 'Příjmy a výdaje podle měsíců'}) %>

<div class="row">
    <div class="col">
        <div class="card">
            <div class="card-body">
                <h5 class="card-title">Příjmy a výdaje podle měsíců</h5>
                <canvas id="chart" style="height: 60vh; width: 100%;"></canvas>
            </div>
        </div>
    </div>
</div>

<%- include('partials/footer') %>
<script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0/dist/Chart.min.js"></script>
<script src="https://www.chartjs.org/samples/latest/utils.js"></script>
<script>
		var color = Chart.helpers.color;
		var barChartData = {
			labels: ['Led', 'Úno', 'Bře', 'Dub', 'Kvě', 'Čer', 'Čvc', 'Srp', 'Zář', 'Říj', 'Lis', 'Pro'],
			datasets: [{
				label: 'Příjmy',
				backgroundColor: color(window.chartColors.blue).alpha(0.5).rgbString(),
				borderColor: window.chartColors.blue,
				borderWidth: 1,
				data: [6,2,6,4,8,1,2,8,3,4,1,1],
			}, {
				label: 'Výdaje',
				backgroundColor: color(window.chartColors.red).alpha(0.5).rgbString(),
				borderColor: window.chartColors.red,
				borderWidth: 1,
				data: [1,3,2,4,3,5,4,5,7,3,3,12],
			}]

		};

		window.onload = function() {
			var ctx = document.getElementById('chart').getContext('2d');
			window.myBar = new Chart(ctx, {
				type: 'bar',
				data: barChartData,
				options: {
					responsive: false,
					legend: {
						position: 'top',
					},
					title: {
						display: true,
						text: 'Chart.js Bar Chart'
                    },
                    scales: {
                        yAxes: [{
                            ticks: {
                                beginAtZero: true
                            }
                        }]
                    }
				}
			});

		};
	</script>
<%- include('partials/file-end') %>